Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class LogAction

    java.lang.Object
      org.jboss.soa.esb.actions.LogAction

All Implemented Interfaces:
  BeanConfiguredAction

    public class LogAction

extends java.lang.Object
implements BeanConfiguredAction

Action that can be subclassed to add support for logging. This action is indented for example logging and not production grad logging.

Exemple configuration:

    <action name="log" class="org.jboss.soa.esb.actions.LogAction">
            <property name="logLevel" value="info"/>
            <property name="logger" value="class name"/>
    </action>
    Options properties
            <property name="message" value="Body: "/>

Since:
  4.3
Author:
  Daniel Bevenius

Constructor Summary
`LogAction()`

Method Summary
`org.apache.log4j.Level` | `getLevel()`
`java.lang.String` | `getLogger()`
`java.lang.String` | `getLogLevel()`
`protected void` | `log(java.lang.String messageToLog)`
`Message` | `process(Message msg)`
`void` | `setLogBody(boolean logBody)`
`void` | `setLogger(java.lang.String logger)`
`void` | `setLogLevel(java.lang.String logLevel)`
`void` | `setMessage(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogAction

    public LogAction()

Method Detail

### process

    public Message process(Message msg)

### log

    protected void log(java.lang.String messageToLog)

### getLevel

    public org.apache.log4j.Level getLevel()

### getLogLevel

    public java.lang.String getLogLevel()

### setLogLevel

    public void setLogLevel(java.lang.String logLevel)

### setLogger

    public void setLogger(java.lang.String logger)

### getLogger

    public java.lang.String getLogger()

### setMessage

    public void setMessage(java.lang.String string)

### setLogBody

    public void setLogBody(boolean logBody)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD